Bet type info
curl --request GET \
--url https://magicmarkets.com/v2/sports/{sport}/bet_types/{bet_type}/ \
--header 'X-Api-Key: <api-key>'import requests
url = "https://magicmarkets.com/v2/sports/{sport}/bet_types/{bet_type}/"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://magicmarkets.com/v2/sports/{sport}/bet_types/{bet_type}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://magicmarkets.com/v2/sports/{sport}/bet_types/{bet_type}/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"status": "ok",
"data": {
"sport": "Football",
"bet_type_description": "Away",
"winloss_grid": [
[
"l",
"w",
"w",
"w",
"w",
"w",
"w",
"w",
"w",
"w",
"w",
"w",
"w",
"w",
"w",
"w",
"w",
"w",
"w",
"w"
],
[
"l",
"l",
"w",
"w",
"w",
"w",
"w",
"w",
"w",
"w",
"w",
"w",
"w",
"w",
"w",
"w",
"w",
"w",
"w",
"w"
],
[
"l",
"l",
"l",
"w",
"w",
"w",
"w",
"w",
"w",
"w",
"w",
"w",
"w",
"w",
"w",
"w",
"w",
"w",
"w",
"w"
],
"... 20x20 grid of w/l values"
]
}
}{
"status": "error",
"code": "invalid_bet_type",
"data": {
"bet_type": "for,notabettype"
}
}{
"status": "error",
"code": "auth_error",
"data": {
"detail": "Authentication credentials were not provided."
}
}{
"status": "error",
"code": "forbidden",
"data": null
}{
"status": "error",
"code": "throttled",
"data": {
"message": "Request was throttled. Expected available in 12 seconds.",
"retry_after": 12
}
}{
"status": "error",
"code": "server_error",
"data": [
"An error has occurred, token:",
"ABC123abc456DEF789gh"
]
}Bet type info
Returns information about a bet type including the win/loss payout grid.
GET
/
v2
/
sports
/
{sport}
/
bet_types
/
{bet_type}
/
Bet type info
curl --request GET \
--url https://magicmarkets.com/v2/sports/{sport}/bet_types/{bet_type}/ \
--header 'X-Api-Key: <api-key>'import requests
url = "https://magicmarkets.com/v2/sports/{sport}/bet_types/{bet_type}/"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://magicmarkets.com/v2/sports/{sport}/bet_types/{bet_type}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://magicmarkets.com/v2/sports/{sport}/bet_types/{bet_type}/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"status": "ok",
"data": {
"sport": "Football",
"bet_type_description": "Away",
"winloss_grid": [
[
"l",
"w",
"w",
"w",
"w",
"w",
"w",
"w",
"w",
"w",
"w",
"w",
"w",
"w",
"w",
"w",
"w",
"w",
"w",
"w"
],
[
"l",
"l",
"w",
"w",
"w",
"w",
"w",
"w",
"w",
"w",
"w",
"w",
"w",
"w",
"w",
"w",
"w",
"w",
"w",
"w"
],
[
"l",
"l",
"l",
"w",
"w",
"w",
"w",
"w",
"w",
"w",
"w",
"w",
"w",
"w",
"w",
"w",
"w",
"w",
"w",
"w"
],
"... 20x20 grid of w/l values"
]
}
}{
"status": "error",
"code": "invalid_bet_type",
"data": {
"bet_type": "for,notabettype"
}
}{
"status": "error",
"code": "auth_error",
"data": {
"detail": "Authentication credentials were not provided."
}
}{
"status": "error",
"code": "forbidden",
"data": null
}{
"status": "error",
"code": "throttled",
"data": {
"message": "Request was throttled. Expected available in 12 seconds.",
"retry_after": 12
}
}{
"status": "error",
"code": "server_error",
"data": [
"An error has occurred, token:",
"ABC123abc456DEF789gh"
]
}Authorizations
API key created from the magic-markets website
Path Parameters
Sport code - see "Sports & bet types" in the introduction.
Bet type string - see "Sports & bet types" in the introduction.
Query Parameters
Home team name for display labels
Away team name for display labels

